LOU_TRANSLATE(1)

NAME
lou_translate - A Braille translator for large scale testing of liblouis Braille translation tables

SYNOPSIS
lou_translate [OPTIONS] TABLE

DESCRIPTION
Translate whatever is on standard input and print it on standard output. It is intended for large-scale testing of the accuracy of braille translation and back-translation.

  TABLE is either:

- a query
    KEY[:VALUE] [KEY[:VALUE] ...]

- a file list
    FILE[,FILE,...]

OPTIONS

-h, --help
    display this help and exit

-v, --version
    display version information and exit

-f, --forward
    forward translation using the given table

-b, --backward
    backward translation using the given table If neither -f nor -b are specified forward translation is assumed

-d, --display-table
    use the given display table for the translation. This is useful when you are specifying the table as a query. This option takes precedence over any display table specified as part of the table file list.

EXAMPLES

    lou_translate language:en grade:2 region:en-US < input.txt

    Do a forward translation of English text to grade 2 contracted braille according to the U.S. braille standard.

    lou_translate --forward en-us-g2.ctb < input.txt

    Do a forward translation with table en-us-g2.ctb.

    lou_translate unicode.dis,en-us-g2.ctb < input.txt

    If you require a specific braille encoding use a display table. Here we do a forward translation with table en-us-g2.ctb and a display table for Unicode braille. The resulting braille is encoded as Unicode dot patterns.

    lou_translate -d unicode.dis language:en grade:2 region:en-US < input.txt

    Using a query and a specific display table you can achieve basically the same translation as above.

    echo ",! qk br{n fox" | lou_translate --backward en-us-g2.ctb

    Do a backward translation with table en-us-g2.ctb.

AUTHOR
Written by John J. Boyer.

REPORTING BUGS
Report bugs to liblouis-liblouisxml@freelists.org.
Liblouis home page: <http://www.liblouis.io>

COPYRIGHT
Copyright © 2024 ViewPlus Technologies, Inc. and JJB Software, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for lou_translate is maintained as a Texinfo manual. If the info and lou_translate programs are properly installed at your site, the command

    info liblouis

should give you access to the complete manual.